<?php

namespace App\Classes\Frame;

use Illuminate\Support\Facades\Log;

use App\Classes\Frame as AbstractFrame;

class Ansi extends AbstractFrame
{
	public static $frame_length = 22;
	public static $frame_width = 80;

	public static $header_length = 60;
	public static $pagenum_length = 9;
	public static $cost_length = 7;
	public static $cost_unit = 'u';

	public static $if_filler = '.';

	public function fields($startline=0)
	{
		$this->output .= str_replace(LF,CR.LF,$this->frame->content);
	}

	public function strlenv($text):int {
		return strlen($text ? preg_replace('/'.ESC.'\[[0-9;?]+[a-zA-Z]/','',$text) : $text);
	}
}